Subject: [alpine-aports] [PATCH 2/5] testing/py-tzlocal: new aport

From: Peter Bui <[email-masked]>
Date: Mon, 10 Aug 2015 22:00:13 -0500

---
 testing/py-tzlocal/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-tzlocal/APKBUILD

diff --git a/testing/py-tzlocal/APKBUILD b/testing/py-tzlocal/APKBUILD
new file mode 100644
index 0000000..5ddea8c
--- /dev/null
+++ b/testing/py-tzlocal/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <[email-masked]>
+pkgname=py-tzlocal
+_pkgname=tzlocal
+pkgver=1.2
+pkgrel=0
+pkgdesc="Python tzinfo object for the local timezone"
+url="http://pytz.sourceforge.net/"
+arch="noarch"
+license="CC0 1.0"
+depends="python py-tz"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="2e36ceb1260bf1233ed2f018a1df536e  tzlocal-1.2.tar.gz"
+sha256sums="438f122d684c951b22cb98aecc80fdb961b84e69542bf878c6b9a9419de09a8b  tzlocal-1.2.tar.gz"
+sha512sums="eb4d1f73983579e109249884d2a343c441942fb0d4dc76aed693c4a05100b10a2337d72794fdb9c0cd28c3b73e11dbd030bdf6dc2f75e57c958655219973c814  tzlocal-1.2.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---